Name:			movit
Version:		1.1.3
Release:		2%{?dist}
Summary:		A library for high-quality, high-performance video filters
Group:			System Environment/Libraries
License:		GPLv2+
URL:			http://git.sesse.net/?p=movit;a=summary
# source tarball from git tag 1.1.3 commit b757b4f1ca57c6dcabfe4ad696a2b887544d1a71
# http://git.sesse.net/?p=movit;a=snapshot;h=b757b4f1ca57c6dcabfe4ad696a2b887544d1a71;sf=tgz
Source0:		%{name}-%{version}.tar.gz
Patch1:			movit-1.1.3-no-gtest.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	eigen3-devel, fftw-devel, libepoxy-devel
# BuildRequires:	gtest-devel
BuildRequires:	SDL2-devel, SDL2_image-devel, libpng-devel, libpng12-devel
# Requires:		

%define debug_package %{nil}

%description
Movit is the Modern Video Toolkit, notwithstanding that anything that's
called "modern" usually isn't, and it's really not a toolkit.

Movit aims to be a _high-quality_, _high-performance_, _open-source_
library for video filters.

%package devel
Summary: Development toolkit for %{name}
License: GPLv2+
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
This package contains library and header files needed to build applications
using movit.


%prep
%setup -q
%patch1 -p1 -b .no-gtest


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc
%{_datadir}/movit/
%{_libdir}/libmovit.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/movit/
%{_libdir}/libmovit.a
%{_libdir}/libmovit.la
%{_libdir}/libmovit.so
%{_libdir}/pkgconfig/movit.pc


%changelog
* Sat Sep  5 2015 J. Randall Owens <jrowens@ghiapet.net> - 1.1.3-2
- Prevent creation of debuginfo package

* Sat Sep  5 2015 J. Randall Owens <jrowens@ghiapet.net> - 1.1.3-1
- initial build version 1.1.3 for GhiaPet/Fedora 21

